diff -Naur celestia-1.3.1/configure celestia-1.3.1-patched/configure
--- celestia-1.3.1/configure	Thu Dec 25 14:35:22 2003
+++ celestia-1.3.1-patched/configure	Mon Jan 19 18:49:01 2004
@@ -20132,14 +20132,14 @@
 else
   ac_cpp_err=yes
 fi
-if test -z "$ac_cpp_err"; then
+# if test -z "$ac_cpp_err"; then
   ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
+# else
+#  echo "$as_me: failed program was:" >&5
+# sed 's/^/| /' conftest.$ac_ext >&5
 
-  ac_header_preproc=no
-fi
+#  ac_header_preproc=no
+# fi
 rm -f conftest.err conftest.$ac_ext
 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
 echo "${ECHO_T}$ac_header_preproc" >&6
@@ -20416,14 +20416,14 @@
 else
   ac_cpp_err=yes
 fi
-if test -z "$ac_cpp_err"; then
+# if test -z "$ac_cpp_err"; then
   ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
+# else
+#  echo "$as_me: failed program was:" >&5
+# sed 's/^/| /' conftest.$ac_ext >&5
 
-  ac_header_preproc=no
-fi
+#  ac_header_preproc=no
+# fi
 rm -f conftest.err conftest.$ac_ext
 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
 echo "${ECHO_T}$ac_header_preproc" >&6
@@ -20700,14 +20700,14 @@
 else
   ac_cpp_err=yes
 fi
-if test -z "$ac_cpp_err"; then
+# if test -z "$ac_cpp_err"; then
   ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
+# else
+#  echo "$as_me: failed program was:" >&5
+# sed 's/^/| /' conftest.$ac_ext >&5
 
-  ac_header_preproc=no
-fi
+#  ac_header_preproc=no
+# fi
 rm -f conftest.err conftest.$ac_ext
 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
 echo "${ECHO_T}$ac_header_preproc" >&6
diff -Naur celestia-1.3.1/src/celestia/glutmain.cpp celestia-1.3.1-patched/src/celestia/glutmain.cpp
--- celestia-1.3.1/src/celestia/glutmain.cpp	Sat Nov  2 18:20:19 2002
+++ celestia-1.3.1-patched/src/celestia/glutmain.cpp	Mon Jan 19 18:50:28 2004
@@ -521,8 +521,8 @@
     appCore->setTimeZoneName(temptime->tm_zone);
     #else
     localtime(&curtime); // Only doing this to set timezone as a side effect
-    appCore->setTimeZoneBias(-timezone);
-    appCore->setTimeZoneName(tzname[daylight?0:1]);
+/*    appCore->setTimeZoneBias(-timezone);
+    appCore->setTimeZoneName(tzname[daylight?0:1]); */
     #endif
 
     ready = true;
diff -Naur celestia-1.3.1/src/celestia/gtkmain.cpp celestia-1.3.1-patched/src/celestia/gtkmain.cpp
--- celestia-1.3.1/src/celestia/gtkmain.cpp	Mon Dec  9 15:21:23 2002
+++ celestia-1.3.1-patched/src/celestia/gtkmain.cpp	Mon Jan 19 18:49:01 2004
@@ -305,8 +305,9 @@
     bool on = (appCore->getTimeZoneBias()==0);
     if (on)
     {
-        appCore->setTimeZoneBias(-timezone + 3600 * daylight);
-        appCore->setTimeZoneName(tzname[daylight]);
+;
+/*        appCore->setTimeZoneBias(timezone + 3600 * daylight); */
+/*        appCore->setTimeZoneName(tzname[daylight]); */
     }
     else
     {
@@ -1330,7 +1331,7 @@
     Star *selStar =(Star *)gtk_clist_get_row_data(list,row);
     if (selStar)
     {
-        browserSel.select(selStar);
+        browserSel = Selection(selStar); 
 	return TRUE;
     }
     return FALSE;
@@ -1349,9 +1350,9 @@
     if ((body=(Body *)gtk_ctree_node_get_row_data(tree,node)))
     {
         if (body == (Body *) nearestStar)
-            browserSel.select((Star *) nearestStar);
+            browserSel = Selection((Star *) nearestStar);
         else
-            browserSel.select(body);
+            browserSel = Selection(body);
 	return TRUE;
     }
     DPRINTF(0, "Unable to find body for this node.\n");
@@ -1420,7 +1421,7 @@
     for (unsigned int i = 0; i < currentLength; i++)
         gtk_clist_remove(GTK_CLIST(clist), 0);
     currentLength=(*stars).size();
-    browserSel.select((Star *)(*stars)[0]);
+    browserSel = Selection((Star *)(*stars)[0]); 
     UniversalCoord ucPos = appSim->getObserver().getPosition();
     
     for (unsigned int i = 0; i < currentLength; i++)
@@ -1506,7 +1507,7 @@
 }
 
 
-static const Star *tmpSel=NULL;
+static Star *tmpSel=NULL;
 
 int nbookSwitch(GtkNotebook *nbook, gpointer dummy, gint page, gpointer dummy2)
 {
@@ -1514,12 +1515,11 @@
     {
         sbrowser.refresh();
         loadNearestStarSystem();
-        tmpSel=browserSel.star;
-        browserSel.star=(Star *)nearestStar;
-        browserSel.body=NULL;
+        tmpSel=(Star*)browserSel.obj; 
+        browserSel = Selection((Star *)nearestStar); 
     }
     else
-        browserSel.select((Star *)tmpSel);
+        browserSel = Selection((Star *)tmpSel); 
     return(TRUE);
 }
 
@@ -1529,7 +1529,7 @@
     GtkWidget *browser= gnome_dialog_new("Celestial Browser",
 				         GNOME_STOCK_BUTTON_OK,
 				         NULL);
-    browserSel.select((Star *)NULL);
+    browserSel = Selection((Star *)NULL); 
     if (browser == NULL)
     {
 	DPRINTF(0, "Unable to open celestial browser dialog!\n");
@@ -1584,7 +1584,7 @@
     gtk_container_add(GTK_CONTAINER(align),GTK_WIDGET(hbox));
     sbrowser.setSimulation(appSim);
     addStars();
-    tmpSel=browserSel.star;
+    tmpSel=(Star*)browserSel.obj; 
     gtk_signal_connect(GTK_OBJECT(clist), "select-row",
 		       GTK_SIGNAL_FUNC(listSelect), NULL);
     gtk_clist_select_row(GTK_CLIST(clist), 0, 0);
@@ -1667,7 +1667,7 @@
     gnome_dialog_run_and_close(GNOME_DIALOG(browser));
     clist=NULL;
     ctree=NULL;
-    browserSel.select((Star *)NULL);
+    browserSel = Selection((Star *)NULL); 
 }
 
 
@@ -2110,9 +2110,9 @@
         appCore->start((double) curtime / 86400.0 + (double) astro::Date(1970, 1, 1));
 	localtime(&curtime); /* Only doing this to set timezone as a side
 			       effect*/
-	appCore->setTimeZoneBias(-timezone + 3600 * daylight);
-	appCore->setTimeZoneName(tzname[daylight]);
-	timeOptions[1]=tzname[daylight];
+/*       appCore->setTimeZoneBias(timezone + 3600 * daylight); */
+/*       appCore->setTimeZoneName(tzname[daylight]); */
+/*       timeOptions[1]=tzname[daylight]; */
     }
         
     return TRUE;
diff -Naur celestia-1.3.1/src/celestia/kde/kdeapp.cpp celestia-1.3.1-patched/src/celestia/kde/kdeapp.cpp
--- celestia-1.3.1/src/celestia/kde/kdeapp.cpp	Wed Nov 12 17:58:54 2003
+++ celestia-1.3.1-patched/src/celestia/kde/kdeapp.cpp	Mon Jan 19 22:47:41 2004
@@ -1021,8 +1021,9 @@
         appCore->setTimeZoneBias(0);
         appCore->setTimeZoneName(i18n("UTC").latin1());
     } else {
-        appCore->setTimeZoneBias(-timezone+3600*daylight);
-        appCore->setTimeZoneName(tzname[daylight?0:1]);
+;
+/*        appCore->setTimeZoneBias(-timezone+3600*daylight); */
+/*        appCore->setTimeZoneName(tzname[daylight?0:1]); */
     }
 }
 
diff -Naur celestia-1.3.1/src/celestia/kde/kdeglwidget.cpp celestia-1.3.1-patched/src/celestia/kde/kdeglwidget.cpp
--- celestia-1.3.1/src/celestia/kde/kdeglwidget.cpp	Sun Dec 14 14:32:53 2003
+++ celestia-1.3.1-patched/src/celestia/kde/kdeglwidget.cpp	Mon Jan 19 22:48:33 2004
@@ -111,8 +111,8 @@
     time_t curtime=time(NULL);
     appCore->start((double) curtime / 86400.0 + (double) astro::Date(1970, 1, 1));
     localtime(&curtime); /* Only doing this to set timezone as a side effect*/
-    appCore->setTimeZoneBias(-timezone+3600*daylight);
-    appCore->setTimeZoneName(tzname[daylight?0:1]);
+/*    appCore->setTimeZoneBias(-timezone+3600*daylight); */
+/*    appCore->setTimeZoneName(tzname[daylight?0:1]); */
 
     KGlobal::config()->setGroup("Preferences");
     if (KGlobal::config()->hasKey("RendererFlags"))
